Upgrade 4.0 to 4.2

Upgrade 4.0 to 4.2

  
Hello,

We currently have an application running on version 4.0 of the Outsystems Platform and wish to upgrade to 4.2. What's the correct, or best, way to gp about doing that? Are 4.0 applications compatible with 4.2? Will the installation of 4.2 automatically upgrade our 4.0 eSpaces?
Thanks,
Robert